@media (min-width: 1300px) {
  html {
    scroll-padding-top: 20px;
  }
}

@media (min-width: 991px) and (max-width: 1300px) {
  html {
    scroll-padding-top: 400px;
  }
}

@media (max-width: 991px) {
  html {
    scroll-padding-top: 500px;
  }
}

/*** Spinner Start ***/
#spinner {
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s ease-out, visibility 0s linear 0.5s;
  z-index: 99999;
}

#spinner.show {
  transition: opacity 0.5s ease-out, visibility 0s linear 0s;
  visibility: visible;
  opacity: 1;
}

/*** Spinner End ***/

/*** Back to top Start ***/
.back-to-top {
  position: fixed;
  right: 30px;
  bottom: 30px;
  display: flex;
  width: 45px;
  height: 45px;
  align-items: center;
  justify-content: center;
  transition: 0.5s;
  z-index: 99;
}

/*** Back to top End ***/

/*** Button Start ***/
.btn {
  font-weight: 600;
  transition: 0.5s;
}

.btn-square {
  width: 32px;
  height: 32px;
}

.btn-sm-square {
  width: 34px;
  height: 34px;
}

.btn-md-square {
  width: 44px;
  height: 44px;
}

.btn-lg-square {
  width: 56px;
  height: 56px;
}

.btn-xl-square {
  width: 66px;
  height: 66px;
}

.btn-square,
.btn-sm-square,
.btn-md-square,
.btn-lg-square,
.btn-xl-square {
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: normal;
  border-radius: 50%;
}

.btn.btn-primary {
  background: var(--bs-primary) !important;
  font-family: "Roboto", sans-serif;
  border: none;
  font-weight: 400;
  transition: 0.5s;
  outline: none;
}

.btn.btn-primary:hover {
  background: var(--bs-secondary) !important;
  color: var(--bs-light) !important;
}

/*** Button Start ***/

/*** Topbar Start ***/
.topbar {
  padding: 2px 10px 2px 20px;
}

@media (max-width: 768px) {
  .topbar {
    display: none;
  }
}

/*** Topbar End ***/

/*** Navbar ***/
/* google translate widget */
.VIpgJd-ZVi9od-ORHb-OEVmcd {
  z-index: 999 !important;
}

.sticky-top,
.sticky-top .container {
  transition: 0.5s !important;
}

.navbar {
  z-index: 1000 !important;
}

.navbar .nav-logo {
  width: 40px;
  height: 100%;
}

.navbar .navbar-nav .nav-item.nav-link,
.navbar .navbar-nav .nav-link {
  color: var(--bs-gray) !important;
  font-weight: 400;
}

.navbar .navbar-nav .nav-item {
  position: relative;
  margin: 0 5px !important;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active,
.sticky-top .navbar .navbar-nav .nav-link:hover,
.sticky-top .navbar .navbar-nav .nav-link.active {
  color: var(--bs-primary) !important;
}

/* Override: Blue for the Oxygen Economy page */
body.oxygen-economy-page .navbar .navbar-nav .nav-link:hover,
body.oxygen-economy-page .navbar .navbar-nav .nav-link.active,
body.oxygen-economy-page .sticky-top .navbar .navbar-nav .nav-link:hover,
body.oxygen-economy-page .sticky-top .navbar .navbar-nav .nav-link.active {
  color: var(--bs-blue) !important;
}

/* Override: Blue for the Oxygen Economy page */
body.oxygen-economy-page .navbar .navbar-nav .dropdown-item:hover,
body.oxygen-economy-page .navbar .navbar-nav .dropdown-itemactive,
body.oxygen-economy-page .sticky-top .navbar .navbar-nav .dropdown-item:hover,
body.oxygen-economy-page .sticky-top .navbar .navbar-nav .dropdown-item.active {
  background-color: var(--bs-blue) !important;
  color: var(--bs-white);
}

.navbar .dropdown-toggle::after {
  border: none;
  content: "\f107" !important;
  font-family: "Font Awesome 5 Free";
  font-weight: 600;
  vertical-align: middle;
}

@media (min-width: 1300px) {
  .navbar .nav-item .dropdown-menu {
    display: block;
    visibility: hidden;
    top: 100%;
    left: 0px;
    transform: rotateX(-75deg);
    transform-origin: 0% 0%;
    border: 0;
    border-radius: 10px;
    margin-top: 5px !important;
    transition: 0.5s;
    opacity: 0;
    z-index: 9;
  }
}

@media (max-width: 1300px) {
  .navbar .nav-item .dropdown-menu {
    margin-top: 5px !important;
    transition: 0.5s;
  }
}

@media (max-width: 991px) {
  .navbar .navbar-nav .nav-item.nav-link {
    margin: 5px 5px !important;
  }
}

.dropdown .dropdown-menu a:hover {
  background: var(--bs-primary) !important;
  color: var(--bs-white);
}

.navbar .nav-item:hover .dropdown-menu {
  transform: rotateX(0deg);
  visibility: visible;
  background: var(--bs-light) !important;
  transition: 0.5s;
  opacity: 1;
}

.navbar .navbar-toggler {
  padding: 8px 15px;
  color: var(--bs-gray);
}

/*** Navbar End ***/

/*** About Start ***/
.about .text {
  position: relative;
}

.vi-mi .row {
  display: flex;
  flex-wrap: wrap;
}

.vi-mi .info-box {
  position: relative;
  overflow: hidden;
  border-radius: 10px;
  cursor: pointer;
}

.vi-mi .info-box .info-content {
  position: relative;
  z-index: 2;
  transition: 0.5s;
}

/*** About End ***/

/* Who We Are Start */
#who-we-are .custom-bg-shape {
  border-radius: 90% 50% 90% 50% / 20% 80% 20% 80%;
  transition: 0.3s ease;
}

#who-we-are .hover-shadow {
  transition: all 0.3s ease;
}

#who-we-are .hover-shadow:hover {
  transform: translateY(-5px);
}

#who-we-are .flip-card-img-wrapper {
  perspective: 1000px;
  overflow: hidden;
  cursor: pointer;
}

#who-we-are .flip-card-img-inner {
  position: relative;
  width: 100%;
  height: 100%;
  transition: transform 0.6s;
  transform-style: preserve-3d;
}

#who-we-are .team-card:hover .flip-card-img-inner {
  transform: rotateY(180deg);
}

#who-we-are .flip-card-front,
#who-we-are .flip-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  backface-visibility: hidden;
  border-radius: 0.75rem 0.75rem 0 0;
}

#who-we-are .flip-card-back {
  background-color: var(--bs-white);
  transform: rotateY(180deg);
  text-align: center;
}

/* Who We Are End */

/* How It Works Start */
#how-it-works .overlay-wrapper {
  position: relative;
}

#how-it-works .color-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--bs-primary);
  opacity: 0.5;
  pointer-events: none;
}

/* How It Works End */

/* Our Products Starts */
#our-products .product-card {
  border-left: 4px solid var(--bs-primary);
  transition: transform 0.3s;
  cursor: pointer;
}

#our-products .product-card:hover {
  transform: translateY(-5px);
}

/* Our Products End */

/* How We Do It End */
#how-we-do-it .flow-arrow {
  font-size: 1.5rem;
  color: var(--bs-primary);
  text-align: center;
}

#how-we-do-it .contract-table {
  max-width: 600px;
  margin: 0rem auto;
}

.gallery-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* How We Do It  End */

/* Oxygen Economy Start */
.oxygen-economy .flip-card {
  perspective: 1000px;
  height: 250px;
  max-height: 500px;
  border-radius: 10px;
}

.oxygen-economy .card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  transition: transform 0.6s;
  transform-style: preserve-3d;
  cursor: pointer;
}

.oxygen-economy .flip-card:hover .card-inner {
  transform: rotateY(180deg);
}

.oxygen-economy .card-front,
.oxygen-economy .card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
  top: 0;
  left: 0;
}

.oxygen-economy .card-front {
  background-color: var(--bs-blue);
  z-index: 2;
}

.oxygen-economy .card-back {
  background-color: var(--bs-white);
  transform: rotateY(180deg);
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  padding: 1rem;
}

.oxygen-economy .image-hover-effect .img-container {
  position: relative;
  overflow: hidden;
  height: 100%;
  display: flex;
  justify-content: center;
}

.oxygen-economy .image-hover-effect img {
  transition: transform 0.3s ease-in-out;
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.oxygen-economy .image-hover-effect .img-container:hover img {
  transform: scale(1.05);
}

.oxygen-economy .image-hover-effect .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: transparent;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  padding: 10px;
  transition: background 0.3s ease-in-out;
  pointer-events: none;
}

.oxygen-economy .image-hover-effect .img-container:hover .overlay {
  background: rgba(133, 208, 248, 0.6);
}

.oxygen-economy .always-visible-icon {
  z-index: 2;
}

.oxygen-economy .hover-title {
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
}

.oxygen-economy .img-container:hover .hover-title {
  opacity: 1;
}

.testimonial .testimonial-carousel {
  position: relative;
}

.testimonial-carousel .owl-item {
  height: 520px !important;
  padding-bottom: 30px !important;
}

.testimonial-item {
  min-height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.testimonial .testimonial-carousel .owl-dots {
  margin-top: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.testimonial .testimonial-carousel .owl-dot {
  position: relative;
  display: inline-block;
  margin: 0 5px;
  width: 15px;
  height: 15px;
  border: 1px solid var(--bs-blue);
  border-radius: 10px;
  transition: 0.5s;
}

.testimonial .testimonial-carousel .owl-dot.active {
  width: 40px;
  background: var(--bs-blue);
}

.testimonial-item p {
  flex-grow: 1;
}

/* Oxygen Economy  End */

/* Further Readings (Local, Global, Blogs)  Start */
.hero-wrapper {
  position: relative;
  width: 100%;
  height: 400px;
  overflow: hidden;
}

.bg-breadcrumb-single {
  position: absolute;
  inset: 0;
  background-color: rgba(121, 176, 131, 0.4);
}

video.object-fit-cover {
  object-fit: cover;
  position: absolute;
  top: 0;
  left: 0;
}

.hero-wrapper .swiper {
  height: 100%;
}

.hero-wrapper .swiper-slide {
  height: 100%;
  background-size: cover;
  background-position: center;
}

.hero-wrapper .swiper-pagination {
  bottom: 15px !important;
  text-align: center;
  z-index: 10;
}

.hero-wrapper .swiper-pagination-bullet-line {
  width: 30px;
  height: 3px;
  display: inline-block;
  background: rgba(255, 255, 255, 0.5);
  margin: 0 5px;
  border-radius: 2px;
  transition: all 0.3s;
}

.hero-wrapper .swiper-pagination-bullet-line-active {
  background: var(--bs-white);
  width: 40px;
}

.further-reading .overlay-wrapper {
  position: relative;
  display: inline-block;
}

.further-reading .color-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--bs-primary);
  opacity: 0.5;
  pointer-events: none;
}

.further-reading .overlay-wrapper img {
  display: block;
}

.further-reading .pulse-ring {
  position: relative;
  display: inline-flex;
  justify-content: center;
  align-items: center;
}

.further-reading .pulse-ring::before {
  content: "";
  position: absolute;
  width: 80px;
  height: 80px;
  border-radius: 50%;
  background-color: rgba(121, 176, 131, 0.9);
  animation: pulse 2s infinite;
  z-index: 0;
}

.further-reading .pulse-ring i {
  position: relative;
  z-index: 1;
}

@keyframes pulse {
  0% {
    transform: scale(0.7);
    opacity: 0.6;
  }

  70% {
    transform: scale(1.4);
    opacity: 0;
  }

  100% {
    transform: scale(0.7);
    opacity: 0;
  }
}

.blog .blog-item {
  border-radius: 10px;
  background: var(--bs-white);
  transition: 0.5s;
  height: 100%;
  display: flex;
  flex-direction: column;
  cursor: pointer;
}

.blog .blog-item .blog-img {
  position: relative;
  overflow: hidden;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
}

.blog .blog-item .blog-img::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  border-top-left-radius: 10px;
  border-top-right-radius: 10px;
  transition: 0.5s;
  z-index: 1;
}

.blog .blog-item .blog-img img {
  transition: 0.5s;
}

.blog .blog-item:hover .blog-img img {
  transform: scale(1.2);
}

.blog .blog-item .blog-content a {
  transition: 0.5s;
}

.blog .blog-item:hover .blog-content a:hover {
  color: var(--bs-primary) !important;
}

.blog .description-container {
  text-align: justify;
}

.blog .floating-image.right {
  float: right;
  border-radius: 10px;
  width: 500px;
  height: auto;
  z-index: 2;
}

.blog .floating-image.left {
  float: left;
  border-radius: 10px;
  width: 500px;
  height: auto;
  z-index: 2;
}

.blog .image-overlay {
  background-color: rgba(121, 176, 131, 0.4);
  z-index: 3;
}

@media (max-width: 768px) {
  .blog .floating-image.right {
    float: none;
    display: block;
  }

  .blog .floating-image.left {
    float: none;
    display: block;
  }
}

.blog .first-letter {
  float: left;
  font-size: 2.5rem;
  line-height: 1;
  font-weight: bold;
  padding: 6px 12px;
  margin-right: 10px;
  background-color: var(--bs-primary);
  color: var(--bs-light);
  border-radius: 8px;
}

.blog .overlay-wrapper {
  position: relative;
  display: inline-block;
}

.blog .color-overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--bs-primary);
  opacity: 0.5;
  pointer-events: none;
}

.blog .overlay-wrapper img {
  display: block;
}

/* Further Readings (Local, Global, Blogs)  End */

/*** Footer Start ***/
.footer .footer-item a {
  line-height: 35px;
  transition: 0.5s;
}

.footer .footer-item p {
  line-height: 35px;
}

.footer .footer-item a:hover {
  letter-spacing: 1px;
}

/*** Footer End ***/

/*** copyright Start ***/
.copyright {
  border-top: 1px solid var(--bs-light) !important;
}

/*** copyright end ***/

/*** Common start ***/
.btn-close:focus {
  outline: none;
  box-shadow: none;
}

.text-justify {
  text-align: justify;
}

@media (max-width: 640px) {
  .text-justify-sm {
    text-align: justify;
  }
}

@media (max-width: 1024px) {
  .text-justify-lg {
    text-align: justify;
  }
}

@media (max-width: 991px) {
  .text-justify-md {
    text-align: justify;
  }
}

.hover-card {
  border: none;
  transition: transform 0.3s;
  cursor: pointer;
}

.hover-card:hover {
  transform: translateY(-5px);
}

@media (min-width: 991px) {
  .divide-padding {
    padding-left: 60px;
  }
}

/*** Common end ***/